### Source of this spec file written by Oleg Zaitsev <orionplatinum7@gmail.com>
### Adapted for urbackup-server-2.0.29 RC CentOS 7.0

Name: urbackup-server
Version: 2.0.36.1630
Release: 1.1
Summary: Efficient Client-Server backup system for Linux and Windows


License: AGPLv3+
URL: http://www.urbackup.org/
Packager: Alexander Rebrov <ralexn@gmail.com>
Source0: %{name}_%{version}.orig.tar.gz

%if 0%{?suse_version}
Source2: %{name}.rpmlintrc
PreReq: %fillup_prereq
%endif


BuildRequires: gcc, gcc-c++
BuildRequires: libcurl-devel
BuildRequires: fuse-devel
BuildRequires: zlib-devel
%if 0%{?suse_version}
BuildRequires: pkg-config
%endif

Requires: logrotate, systemd, zlib
Requires: libcurl  >= 7.20.0
Requires: fuse >= 2.8.0



Requires(pre)   : /usr/sbin/useradd
Requires(post)  : systemd
Requires(preun) : systemd


%description
Efficient Client-Server Backup system for Linux and Windows
with GPT and UEFI partition. A client for Windows lets you 
backup open files and complete partition images. Backups 
are stored to disks in a efficient way (deduplication) 
on either Windows or Linux servers.

%prep

%setup -q -n %{name}-%{version}


%build

%configure --enable-packaging  --with-mountvhd --enable-embedded-cryptopp

make %{?_smp_mflags}


%install
%make_install
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
mkdir -p %{buildroot}%{_initrddir}
mkdir -p %{buildroot}%{_unitdir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d/
mkdir -p %{buildroot}%{_prefix}/lib/firewalld/services
sed -i "s@/etc/default/urbackupsrv@%{_sysconfdir}/sysconfig/%{name}@g" %{_builddir}/%{name}-%{version}/urbackup-server.service
install -m 755 %{_builddir}/%{name}-%{version}/urbackup-server.service %{buildroot}%{_unitdir}/%{name}.service
install -m 640 %{_builddir}/%{name}-%{version}/urbackup-server-firewalld.xml %{buildroot}%{_prefix}/lib/firewalld/services/%{name}.xml
install -m 644 %{_builddir}/%{name}-%{version}/defaults_server %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m 644 %{_builddir}/%{name}-%{version}/docs/*.1 %{buildroot}%{_mandir}/man1
install -m 644 %{_builddir}/%{name}-%{version}/logrotate_urbackupsrv  %{buildroot}%{_sysconfdir}/logrotate.d/urbackup-server


%clean
rm -rf $RPM_BUILD_ROOT


%pre
getent group urbackup > /dev/null || groupadd -r urbackup
getent passwd urbackup > /dev/null || useradd -r -g urbackup -d %{_localstatedir}/urbackup \
 -s /sbin/nologin urbackup >/dev/null 2>&1


%post
%systemd_post urbackup-server.service


%preun
%systemd_preun urbackup-server.service

%postun
%systemd_postun_with_restart urbackup-server.service
/sbin/ldconfig


%posttrans
%if 0%{?have_systemd}
if systemctl --quiet is-enabled %{name}.service 2>/dev/null
then 
   /bin/systemctl --quiet --force reenable %{name} 2>/dev/null || :
else 
   /bin/systemctl --quiet --force reenable %{name} 2>/dev/null || :
   /bin/systemctl --quiet disable %{name} 2>/dev/null || :
fi
%endif


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%attr(4755,root,root) %{_bindir}/urbackup_snapshot_helper
%{_sbindir}/*
%attr(0755,urbackup,urbackup) %{_datadir}/urbackup/*
%{_bindir}/urbackupsrv
%{_mandir}/man1/*
%dir %attr(0755,urbackup,urbackup) %{_localstatedir}/urbackup
%config(noreplace) %{_sysconfdir}/logrotate.d/urbackup-server
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_prefix}/lib/firewalld/services/%{name}.xml
%{_unitdir}/%{name}.service


%changelog
*Wed Jun 29 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.29 RC
- Update to version 2.0.29 RC

*Wed Jun 01 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.24 beta
- Update to version 2.0.24-0.0 beta

*Thu May 26 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.22 beta
- Update to version 2.0.22-0.0 beta

*Thu May 19 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.21 beta
- Update to version 2.0.21-0.0 beta

*Wed May 11 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.17 beta
- Update to version 2.0.17-0.0 beta

*Wed May 04 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.14 beta
- Update to version 2.0.14-0.0 beta

*Fri Apr 29 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.13 beta
- Update to version 2.0.13-0.0 beta

*Fri Apr 22 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.12 beta
- Update to version 2.0.12-0.0 beta

*Tue Apr 19 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.11 beta
- Update to version 2.0.11-0.0 beta, edit BuildRequires and Requires

*Thu Apr 14 2016 Alexander Rebrov <ralexn@gmail.com> 2.0.10 beta
- Adapted spec to version 2.0.10-0.0 beta from version 1.4.14

